<?php namespace App\ViewModels\Exame\ExameDetailsViewModel;


use App\Utils\Builder;

class ExameDetailsViewModelBuilder implements Builder
{
    protected $id;
    protected $nome;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : ExameDetailsViewModel
    {
        $procedimento_details_vm = new ExameDetailsViewModel();
        $procedimento_details_vm->setId($this->id);
        $procedimento_details_vm->setNome($this->nome);
        return $procedimento_details_vm;
    }


}